package com.objis.demostruts.test;

import java.io.File;
import servletunit.struts.MockStrutsTestCase;

public class TestHelloAction extends MockStrutsTestCase {

    public TestHelloAction(String testName) { super(testName);  }

    public void setUp() throws Exception {
        super.setUp();
        // 0 : Mettre le rpertoire contenant WEB-INF dans Classpath
        setContextDirectory(new File("C:\\formationstruts1\\correction_TPs\\premiere_application\\demopremiereapplistruts\\WebContent")); 
        setInitParameter("validating","false");
    }

	public void testSoumissionOK(){
		// 1 : Informer Struts du Mapping  utiliser
		setRequestPathInfo("/HelloWorld");
		
		// 2 : fournir proprit du bean formulaire
		addRequestParameter("person","Douglas");
		
		// 3 : Lancer l'action
		actionPerform();
		
		// Vrifier la bonne page de sortie
		verifyForward("SayHello");
		
		// Vrifier qu'il n'y a pas eu d'erreur 
		verifyNoActionErrors();
	}
}
